All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sas.services.util
Enum WaitPolicy.TYPE

    com.sas.services.util.WaitPolicy.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WaitPolicy.TYPE>

Enclosing class:
  WaitPolicy

    public static enum WaitPolicy.TYPE

The "type" of wait. See the description for each of the enum values for their impact on the wait policy.

Enum Constant Summary
`FINITE` Waiting is specified.
`INFINITE` Waiting is specified.
`NONE` No waiting is specified.

Method Summary
`static WaitPolicy.TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WaitPolicy.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Enum Constant Detail

### NONE

    public static final WaitPolicy.TYPE NONE

  No waiting is specified. Values supplied for the intervals and the total wait are ignored.

### FINITE

    public static final WaitPolicy.TYPE FINITE

  Waiting is specified. The various parameters define the waiting model and the total time waited is finite and limited by the total wait time value.

### INFINITE

    public static final WaitPolicy.TYPE INFINITE

  Waiting is specified. The various parameters define the waiting model and the total time waited is not limited by the total wait time value (which is ignored).

Method Detail

### values

    public static WaitPolicy.TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WaitPolicy.TYPE c : WaitPolicy.TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WaitPolicy.TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.